com.tibbo.aggregate.common.datatable.encoding

## Class JsonConverter

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.encoding.JsonConverter

-     public class JsonConverter
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonConverter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataTable` | `createDataTable(TableFormat tf, java.lang.String payload)`
    `DataTable` | `createDataTable(TableFormat tf, java.lang.String payload, boolean innerDataTable, boolean implicitCasting)`
    `java.util.Map<java.lang.String,java.lang.Object>` | `recordFromJson(TableFormat tf, java.lang.String payload)`
    `DataTable` | `tableFromJson(java.lang.Object payload)`
    `DataTable` | `tableFromJson(java.lang.Object payload, boolean innerDataTable, boolean implicitCasting)`
    `DataTable` | `tableFromJson(java.lang.String payload)`
    `DataTable` | `tableFromJson(java.lang.String payload, boolean innerDataTable, boolean implicitCasting)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonConverter

          public JsonConverter()

  - ### Method Detail

    - #### tableFromJson

          public DataTable tableFromJson(java.lang.String payload)
                                  throws ContextException

      Throws:
        `ContextException`

    - #### tableFromJson

          public DataTable tableFromJson(java.lang.String payload,
                                         boolean innerDataTable,
                                         boolean implicitCasting)
                                  throws ContextException

      Throws:
        `ContextException`

    - #### tableFromJson

          public DataTable tableFromJson(java.lang.Object payload)
                                  throws ContextException

      Throws:
        `ContextException`

    - #### tableFromJson

          public DataTable tableFromJson(java.lang.Object payload,
                                         boolean innerDataTable,
                                         boolean implicitCasting)
                                  throws ContextException

      Throws:
        `ContextException`

    - #### createDataTable

          public DataTable createDataTable(TableFormat tf,
                                           java.lang.String payload)
                                    throws ContextException

      Throws:
        `ContextException`

    - #### createDataTable

          public DataTable createDataTable(TableFormat tf,
                                           java.lang.String payload,
                                           boolean innerDataTable,
                                           boolean implicitCasting)
                                    throws ContextException

      Throws:
        `ContextException`

    - #### recordFromJson

          public java.util.Map<java.lang.String,java.lang.Object> recordFromJson(TableFormat tf,
                                                                                 java.lang.String payload)
                                                                          throws ContextException

      Throws:
        `ContextException`